Subject: Re: Parsing or actually, matching

From: Quinn Avery <[email-masked]>
Date: Wed, 4 Aug 1993 17:33:09 -0700

Actually, $match_utils:match handles a lot of special cases such as ordinal
matching and matching on another object's contents.  I've made some hacks
recently to make the code easier to read, including some documentation.  Some
examples commands are:

look at kobold's dagger
drop my second dagger
dub my third dagger as "stab"

All of them are RPG examples, yeah.  Most of the benefits of this kind of machg
are to be found where there are multiple objects to be referred to.  With the
ordinal matching (ie: 1st, second, 3rd), $ambiguous_match can be avoided.

Check out the matching room (#3789 or #3879, can't remember) on LambdaMOO for
an example of how $match_utils routines are used in the matching process.

And for those wondering why Quinn is hacking a core-object-- it's owned by
Grand_Master.

Sorry if I messed up on who I sent this too.  First time I've mailed to a list.

--Quinn